package com.dragoninfo.dcuc.app.dto;

import com.dragoninfo.dcuc.app.entity.ApplyInfo;
import com.dragoninfo.dcuc.app.enumresources.AppMsgTypeEnum;
import com.dragonsoft.duceap.base.entity.security.BaseSecurityUser;
import lombok.Data;

import java.io.Serializable;

/**
 * @author huangzqa
 * @date 2020/11/9
 */
@Data
public class AppEventDTO implements Serializable {

    private static final long serialVersionUID = 3828265246080164919L;

    /**
     * 当前用户
     */
    private BaseSecurityUser baseSecurityUser;

    /**
     * 应用信息
     */
    private ApplyInfo applyInfo;

    /**
     * 内容
     */
    private String content;

    /**
     * 操作类型
     */
    private AppMsgTypeEnum appMsgTypeEnum;

}
