package com.dragoninfo.dcuc.app.entity;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableLogic;
import com.baomidou.mybatisplus.annotation.TableName;
import lombok.Data;

import java.io.Serializable;

/**
 * @author yica
 * @date 2018/8/10
 */
@Data
@TableName("T_APPLY_OAUTH")
public class ApplyOauth implements Serializable {

    private static final long serialVersionUID = -8742495969656481275L;

    @TableId(type = IdType.UUID)
    private String id;

    /**
     * 应用ID
     */
    private String applyId;

    /**
     * API_KEY
     */
    private String apiKey;
    /**
     * SECRET_KEY
     */
    private String secretKey;

    /**
     * 删除
     */
    @TableLogic
    private String deleted;

}
