package com.dragoninfo.dcuc.app.dto;

import lombok.Data;

/**
 * 推送应用DTO
 * @author mazq
 * @date 2021/2/19
 */
@Data
public class AppInfoAcceptDTO {

    private String id;
    /**
     * 应用系统编号
     */
    private String yyxtbh;
    /**
     *应用系统名称
     */
    private String yyxtmc;
    /**
     * 应用系统说明
     */
    private String yyxtsm;
    /**
     * 应用系统事权单位代码
     */
    private String yyxtsqdwdm;
    /**
     * 应用系统管理单位代码
     */
    private String yyxtgldwdm;
    /**
     * 应用系统承建单位名称
     */
    private String yyxtcjdwmc;
    /**
     * 应用系统承建单位代码
     */
    private String yyxtcjdwdm;
    /**
     * 应用系统运维单位名称
     */
    private String yyxtywdwmc;
    /**
     * 上线日期
     */
    private String sxrq;
    /**
     * 下线日期
     */
    private String xxrq;
    /**
     * 应用系统分类代码
     */
    private String yyxtfldm;
    /**
     * 公安警种分类代码
     */
    private String gajzfldm;
    /**
     * 公安业务职责分类代码
     */
    private String gazzfldm;
    /**
     * 系统在用标识
     */
    private String xtzybs;
    /**
     * 系统注销标识
     */
    private String xtzxbs;
    /**
     * 系统建设标识
     */
    private String xtjsbs;
    /**
     * 系统架构类型
     */
    private String xtjglx;
    /**
     * 应用系统访问地址
     */
    private String yyxtfwdz;
    /**
     * 业务使用场景代码
     */
    private String ywsycjdm;
    /**
     * 应用系统图标
     */
    private String yyxttb;

    /**
     * 应用授权码
     */
    private String appsecret;

}
