package com.dragoninfo.dcuc.app.dto.sub;

import lombok.Data;

/**
 * 数据资源分类所有层级DTO
 * @author mazq
 * @date 2021/5/25
 */
@Data
public class DataClaAcceptDTO {

    /**
     * 一级分类主键
     */
    private String firId;

    /**
     * 二级分类主键
     */
    private String secId;

    /**
     * 标签分类主键
     */
    private String labClaId;

    /**
     * 标签主键
     */
    private String labId;

    /**
     * 一级代码
     */
    private String firCode;

    /**
     * 一级分类
     */
    private String firName;

    /**
     * 二级代码
     */
    private String secCode;

    /**
     * 二级分类
     */
    private String secName;

    /**
     * 标签分类代码
     */
    private String labClaCode;

    /**
     * 标签分类
     */
    private String labClaName;

    /**
     * 标签代码
     */
    private String labCode;

    /**
     * 标签名称
     */
    private String labName;

    /**
     * 说明
     */
    private String remark;

}
