package com.dragoninfo.dcuc.app.vo;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableId;
import lombok.Data;

import java.util.Date;

/**
 * <p>
 *
 * </p>
 *
 * @author huangzqa
 * @date 2022/10/3
 */
@Data
public class AppDataItemInfoRespVO {
    /**
     * 编号
     */
    private String id;
    /**
     * 数据资源ID
     */
    private String resourceTableId;
    /**
     * 数据项ID
     */
    private String columnId;
    /**
     * 字段英文名称
     */
    private String columnCode;
    /**
     * 字段中文名称
     */
    private String columnName;
    /**
     * 字段分类代码
     */
    private String columnClassify;
    /**
     * 字段分类名称
     */
    private String columnClassifyName;
    /**
     * 数据安全级别代码
     */
    private String dataSecurityLevel;
    /**
     * 数据安全级别名称
     */
    private String dataSecurityLevelName;
    /**
     * 数据项编号
     */
    private String dataItemNo;
    /**
     * 数据项标识符
     */
    private String dataItemCode;
    /**
     * 数据项类型代码
     */
    private String dataSourceItemType;
    /**
     * 数据项类型名称
     */
    private String dataSourceItemTypeName;
    /**
     * 数据元内部标识符
     */
    private String dataElementCode;
    /**
     * 数据项集数据项编号
     */
    private String standardDataItemNo;
    /**
     * 数据项集数据项中文名
     */
    private String standardDataItemName;
    /**
     * 数据项集数据项英文名
     */
    private String standardDataItemCode;
    /**
     * 数据项集数据项数据类型
     */
    private String standardDataItemType;
    /**
     * 数据项集数据项数据长度
     */
    private String standardDataItemLength;
    /**
     * 备注
     */
    private String remark;
    /**
     * 是否失效，true/false
     */
    private String invalidStatus;
    /**
     * 注册时间，格式：yyyy-MM-dd HH:mm:ss
     */
    private Date columnRegisterTime;
    /**
     * 更新时间，格式：yyyy-MM-dd HH:mm:ss
     */
    private Date columnUpdateTime;
}
