package com.dragoninfo.dcuc.app.vo;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableId;
import lombok.Data;

import java.util.Date;

/**
 * <p>
 *
 * </p>
 *
 * @author huangzqa
 * @date 2022/10/3
 */
@Data
public class AppDataResourceInfoRespVO {
    /**
     * 编号
     */
    private String id;
    /**
     * 数据对象ID
     */
    private String dataObjectId;
    /**
     * 数据资源标识符
     */
    private String resourceCode;
    /**
     * 资源名称
     */
    private String resourceName;
    /**
     * 数据资源版本号
     */
    private String resourceVersion;
    /**
     * 数据资源描述
     */
    private String resourceDescription;
    /**
     * 数据对象英文名
     */
    private String tableCode;
    /**
     * 数据对象中文名
     */
    private String tableName;
    /**
     * 数据资源目录编号
     */
    private String catalogCod;
    /**
     * 应用系统编号
     */
    private String applicationCode;
    /**
     * 应用系统名称
     */
    private String applicationCodeName;
    /**
     * 一级数据来源编号
     */
    private String dataSourceOneCode;
    /**
     * 一级数据来源名称
     */
    private String dataSourceOneName;
    /**
     * 二级数据来源编号
     */
    private String dataSourceTwoCode;
    /**
     * 二级数据来源名称
     */
    private String dataSourceTwoName;
    /**
     * 数据分级代码
     */
    private String dataClassification;
    /**
     * 数据分级名称
     */
    private String dataClassificationName;
    /**
     * 标准数据项集编码
     */
    private String standardDataCode;
    /**
     * 标准数据项集名称
     */
    private String standardDataName;
    /**
     * 数据组织一级分类代码
     */
    private String dataClassifyOneCode;
    /**
     * 数据组织一级分类名称
     */
    private String dataClassifyOneName;
    /**
     * 数据组织二级分类代码
     */
    private String dataClassifyTwoCode;
    /**
     * 数据组织二级分类名称
     */
    private String dataClassifyTwoName;
    /**
     * 数据标签1代码
     */
    private String dataLabelOneCode;
    /**
     * 数据标签1名称
     */
    private String dataLabelOneName;
    /**
     * 数据标签2代码
     */
    private String dataLabelTwoCode;
    /**
     * 数据标签2名称
     */
    private String dataLabelTwoName;
    /**
     * 数据标签3代码
     */
    private String dataLabelThreeCode;
    /**
     * 数据标签3名称
     */
    private String dataLabelThreeName;
    /**
     * 数据标签4代码
     */
    private String dataLabelFourCode;
    /**
     * 数据标签4名称
     */
    private String dataLabelFourName;
    /**
     * 数据标签5代码
     */
    private String dataLabelFiveCode;
    /**
     * 数据标签5名称
     */
    private String dataLabelFiveName;
    /**
     * 数据资源服务编号
     */
    private String resourceServiceCode;
    /**
     * 资源状态代码
     */
    private String resourceStatus;
    /**
     * 资源状态名称1启动0停用2注销
     */
    private String resourceStatusName;
    /**
     * 注册时间，格式：yyyy-MM-dd HH:mm:ss
     */
    private Date resourceRegisterTime;
    /**
     * 更新时间，格式：yyyy-MM-dd HH:mm:ss
     */
    private Date resourceUpdateTime;
    /**
     * 数据资源事权单位编号
     */
    private String authorityDeptCode;
    /**
     * 数据资源事权单位名称
     */
    private String authorityDeptName;
    /**
     * 数据资源管理单位编号
     */
    private String manageDeptCode;
    /**
     * 数据资源管理单位名称
     */
    private String manageDeptName;
}
